
export zaehler=0
export importdatum=`date +%Y.%m.%d`


cd $INPUT
for i in `ls -d *`; do
  echo ""
  DOKS=`ls $i | wc -l | sed -e 's/ //g'`

  echo $i | awk -vSIL="$DOKS" '{printf("working on %-20s Doks: %3s\n",$0, SIL)}'; 

  if [ -d "$OUTPUT/$i" ];
    then
    # do nothing!
     echo " " #"$OUTPUT/$i existiert!"
    else
    echo "$OUTPUT/$i existiert nicht, lege Verzeichnis an ..."
    mkdir $OUTPUT/$i
  fi
    

  cd $i

  ls | grep -v Thumbs.db | while read jpg
  do
    zaehler=`expr $zaehler + 1`
    if [ -e "$OUTPUT/$i/$importdatum$jpg" ];
		  then
			# DATEI SCHON VORHANDEN
			sum1=`cksum "$OUTPUT/$i/$i__$importdatum__$jpg"|awk -F' ' '{print $1}'`
			sum2=`cksum  "$INPUT/$i/$jpg"|awk -F' ' '{print $1}'`
			if [ "$sum1" = "$sum2" ];
				then
				# Datei identisch
				echo "Quelle: $INPUT/$i/$jpg Ziel: $OUTPUT/$i/$jpg " >> $OUTPUT/doppelt.txt
				export jpgg="$jpg"
				export dummyz=$zaehler"+"
			else
				export dummyz=$zaehler"-"
				export jpgg=`echo $jpg | sed -e 's/\./_\./g' | sed -e 's/ //g'`
				while [ -e "$OUTPUT/$i/$jpgg" ];
					do
					export jpgg=`echo "$jpgg" | sed -e 's/\./_\./g' | sed -e 's/ //g'`
					done
				echo "$INPUT/$i/$jpg $OUTPUT/$i/$jpgg " >> $OUPUT/Name_geaendert.txt
			fi

    else
      # DATEI FRISCH UND NEU
      export dummyz=$zaehler
      export jpgg="$jpg"
    fi;
echo -n "$dummyz "

mv "$INPUT/$i/$jpg" "$OUTPUT/$i/$i"___"$importdatum"___"$jpgg" 2>/dev/null

done



cd ..
done